Prolifto
API reference

Product information

Additional product sections

Create

POST
/infoSections/create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/infoSections/create" \  -H "Content-Type: application/json" \  -d '{    "content": "string",    "position": 1,    "title": "string",    "productId": "string"  }'
{}

Delete

POST
/infoSections/delete

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/infoSections/delete" \  -H "Content-Type: application/json" \  -d '{    "infoSectionId": "string",    "productId": "string"  }'
{}

Reorder

POST
/infoSections/reorder

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/infoSections/reorder" \  -H "Content-Type: application/json" \  -d '{    "orderedIds": [      "string"    ],    "productId": "string"  }'
{}

Update

POST
/infoSections/update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/infoSections/update" \  -H "Content-Type: application/json" \  -d '{    "content": "string",    "position": 1,    "title": "string",    "infoSectionId": "string",    "productId": "string"  }'
{}